package de.intevation.flys.client.client.services;

import com.google.gwt.user.client.rpc.RemoteService;
import com.google.gwt.user.client.rpc.RemoteServiceRelativePath;

import de.intevation.flys.client.shared.model.Artifact;

/**
 * This interface provides artifact specific services as CREATE, DESCRIBE, FEED,
 * ADVANCE and OUT.
 *
 * @author <a href="mailto:ingo.weinzierl@intevation.de">Ingo Weinzierl</a>
 */
@RemoteServiceRelativePath("artifact")
public interface ArtifactService extends RemoteService {

    /**
     * This method creates a new artifact based on the given <i>factory</i>.
     *
     * @param serverUrl The url of the artifact server.
     * @param factory The factory that should be used for the artifact creation.
     *
     * @return the new artifact.
     */
    public Artifact create(String serverUrl, String factory);
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :
